Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002210KdenliveEffectspublic2011-07-02 11:452011-11-01 18:56
ReporterAlexK 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002210: Pan & Zoom looses all existing key-frames with settings if clip length is extended
DescriptionIf a clip with the Pan & Zoom effect added is extended in length, then all the key-frames plus their associated settings, for that clip, will immediately be lost.
Steps To Reproduce1 Drag a clip onto the timeline
2 Add Pan & Zoom effect
3 Add a number keyframes & set parameters for screen at each keyframe
4 Change the duration of the clip
Additional Information~$ $HOME/kdenlive/20110630/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit ae8aa836d5a4c81e680d035f84eeed4dc8e4c765 Date: Thu Jun 30 11:14:24 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit a09918335f1305e2d6bf6a9b0001ac5f167c1aea Date: Wed Jun 29 12:38:46 2011 -0400
mlt: commit febfd488055a5994c96c5bc6b33213a609a7b054 Date: Sun Jun 26 23:07:08 2011 -0700
kdenlive: Revision: 5751 Last Changed Date: 2011-06-30 16:02:39 +0100 (Thu, 30 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5751)
alex@AVLinux5:~$ $HOME/kdenlive/20110630/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit ae8aa836d5a4c81e680d035f84eeed4dc8e4c765 Date: Thu Jun 30 11:14:24 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit a09918335f1305e2d6bf6a9b0001ac5f167c1aea Date: Wed Jun 29 12:38:46 2011 -0400
mlt: commit febfd488055a5994c96c5bc6b33213a609a7b054 Date: Sun Jun 26 23:07:08 2011 -0700
kdenlive: Revision: 5751 Last Changed Date: 2011-06-30 16:02:39 +0100 (Thu, 30 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5751)

See also:
http://www.kdenlive.org/forum/changing-clip-duration-destroys-pan-zoom-keyframes-design [^]
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files? file icon test.kdenlive [^] (16,931 bytes) 2011-07-04 07:20
? file icon ei.kdenlive [^] (129,357 bytes) 2011-07-04 07:21

- Relationships

-  Notes
(0007007)
AlexK (reporter)
2011-07-03 11:03
edited on: 2011-07-03 11:04

This bug is more complicated than my original writeup suggested.

The keyframes *do* disappear when the clip is extended. Sometimes, however, the settings are retained!

I've got a situation of 3 photos stacked above each other, each with Pan & Zoom applied (these photos are slid across the screen, and end up next to each other on screen). The first does *not* loose it's keyframes when extended. The other two do. I've tried as many different ways of doing it that I can, but the lower two *always* lose their keyframes.

(0007009)
j-b-m (administrator)
2011-07-03 13:02

I cannot reproduce. Can you please attach a simple project file that reproduces the bug and explain what resizing triggers the issue?
(0007012)
AlexK (reporter)
2011-07-04 07:19

I cannot reproduce it in a test case, either. The original project still shows the problem, though there have been many changes to the sections involved since the issue first showed.

The re-size is performed with the mouse on the RHS margin of the clip within the timeline. Once again:
Extending the top png image does NOT lose keyframes.
Extending the middle or bottom png DOES lose keyframes + settings.

I will attach both projects:

1 ei (large) - shows the issue
2 test (small) - does NOT show the issue


The following may - or may not - be a part of the issue.

First: there are 3 png images with pan & zoom effect applied to each:
a devonian2
b devonian1
c devonian3

Viewed on their own, each slides nicely into place from the left.
Viewed together, (a) loses sync with it's yellow box, and only slides to the 2/3 mark (it should slide all the way to the right).

Second:

1 save the project (`Save' icon becomes inactive)
2 extend a clip (`Save' icon becomes active)
3 press Ctrl + Z (`Save' icon is still active, although s/b inactive)

I cannot tell you just how frustrating all these behaviour bugs are. Thanks for working so hard to fix them all.
(0007017)
j-b-m (administrator)
2011-07-04 10:19

Can you please test with latest svn (rev. 5762), the keyframes should now remain, and I also fixed the "save" icon issue.
(0007018)
AlexK (reporter)
2011-07-04 12:54

SVN 5762:

It works!

Seriously impressive, j-b-m!

Here's my favourite bit: this bug report may be marked 'closed'.

- Issue History
Date Modified Username Field Change
2011-07-02 11:45 AlexK New Issue
2011-07-03 11:03 AlexK Note Added: 0007007
2011-07-03 11:04 AlexK Note Edited: 0007007 View Revisions
2011-07-03 13:02 j-b-m Note Added: 0007009
2011-07-03 13:02 j-b-m Assigned To => j-b-m
2011-07-03 13:02 j-b-m Status new => feedback
2011-07-04 07:19 AlexK Note Added: 0007012
2011-07-04 07:19 AlexK Status feedback => assigned
2011-07-04 07:20 AlexK File Added: test.kdenlive
2011-07-04 07:21 AlexK File Added: ei.kdenlive
2011-07-04 10:19 j-b-m Note Added: 0007017
2011-07-04 12:54 AlexK Note Added: 0007018
2011-07-04 19:06 j-b-m Status assigned => resolved
2011-07-04 19:06 j-b-m Fixed in Version => Recent git
2011-07-04 19:06 j-b-m Resolution open => fixed
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker